Bug 1503502 (ovndvr) - [RFE] [Neutron] [OVN] DVR support
Summary: [RFE] [Neutron] [OVN] DVR support
Keywords:
Status: CLOSED ERRATA
Alias: ovndvr
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-networking-ovn
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: Upstream M2
: 13.0 (Queens)
Assignee: Miguel Angel Ajo
QA Contact: Eran Kuris
URL:
Whiteboard:
Depends On:
Blocks: osp13ovn 1548947
TreeView+ depends on / blocked
 
Reported: 2017-10-18 09:51 UTC by Miguel Angel Ajo
Modified: 2019-09-09 15:30 UTC (History)
9 users (show)

Fixed In Version: python-networking-ovn-4.0.0-0.20171205134230.746cae0.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-27 13:37:31 UTC
Target Upstream Version:
ekuris: needinfo-


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 463928 None MERGED support distributed floating ip 2020-04-03 07:00:18 UTC
OpenStack gerrit 529564 None MERGED Add support for DVR in OVN based environments 2020-04-03 07:00:18 UTC
Red Hat Product Errata RHEA-2018:2086 None None None 2018-06-27 13:38:31 UTC

Description Miguel Angel Ajo 2017-10-18 09:51:38 UTC
Description of problem:
While the OVN C core supports DVR, the implementation on the mechanism driver isn't still merged. We need to help with review capacity and ensure proper testing of the feature.

Expected results:

FIPs can be exposed from compute nodes directly (DVR) when the compute nodes have external connectivity.

DVR related tests pass.

Comment 7 Eran Kuris 2018-04-25 13:23:14 UTC
verifed : 
rpm -qa | grep  python-networking-ovn-4
python-networking-ovn-4.0.1-0.20180405185449.b9e550d.el7ost.noarch

test runs on Genenve & VLAN tetnat network type : 
https://polarion.engineering.redhat.com/polarion/#/project/RHELOpenStackPlatform/testrun?id=20180410-0800

https://polarion.engineering.redhat.com/polarion/#/project/RHELOpenStackPlatform/testrun?id=20180415%2D0649

Comment 9 errata-xmlrpc 2018-06-27 13:37:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.